Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.lwclient
Class Startup

    java.lang.Object
      |
      +--com.bea.lwclient.Startup

Deprecated. The startup class from Weblogic Server.

public class Startup
extends java.lang.Object
implements weblogic.common.T3StartupDef

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Startup()` Deprecated.

Method Summary
`void` | `setServices(weblogic.common.T3ServicesDef services)` Deprecated. We don't need access to any services, so this method does nothing.
`static java.lang.String` | `start()` Deprecated. This is the entry point for Lwc
`java.lang.String` | `startup()` Deprecated.
`java.lang.String` | `startup(java.lang.String name, java.util.Hashtable params)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Startup

    public Startup()

  Deprecated.

Method Detail

### start

    public static java.lang.String start()

  Deprecated.
  This is the entry point for Lwc

### setServices

    public void setServices(weblogic.common.T3ServicesDef services)

  Deprecated.
  We don't need access to any services, so this method does nothing. This method is here to satisfy the T3StartupDef interface.
  Specified by:
    setServices in interface weblogic.common.T3StartupDef

### startup

    public java.lang.String startup()
                             throws java.lang.Exception

  Deprecated.

### startup

    public java.lang.String startup(java.lang.String name,
                                    java.util.Hashtable params)
                             throws java.lang.Exception

  Deprecated.
  Specified by:
    startup in interface weblogic.common.T3StartupDef

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)